<div class="song">
    <a [routerLink]="['List']">Back to list</a>
    <div class="colContainer title">
        <h3>{{song.name}}</h3>
        <div class="colRight">
            <rating [rate]="song.hearts" [size]="50" (changeRating)="updateSongRating($event)"></rating>
        </div>
    </div>
    <h5>{{song.artist && song.artist.name}}</h5>
    <div class="colContainer">
        <p>Duration</p>
        <p class="colRight">{{song.duration | timeFormat:format}}</p>
    </div>
    <div class="colContainer">
        <p>Genre</p>
        <p class="colRight">{{song.genre}}</p>
    </div>
    <div class="albumContainer" [class.collapsed]="collapsed">
        <div class="albumHeader" (click)="toggleCollapsed()">
            Album {{ collapsed ? '&#9660;' : '&#9650;' }}
        </div>
        <div class="contentWrapper">
            <div class="albumContent">
                <div class="colContainer">
                    <p>Name</p>
                    <p class="colRight">{{song.album && song.album.name}}</p>
                </div>
                <div class="colContainer">
                    <p>Genre</p>
                    <p class="colRight">{{song.album && song.album.genre}}</p>
                </div>
                <div class="colContainer">
                    <p>Year</p>
                    <p class="colRight">{{song.album && song.album.year}}</p>
                </div>
            </div>
        </div>
    </div>
</div>